<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 14 15:58:37 EEST 2020 -->
<title>C-Index</title>
<meta name="date" content="2020-04-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../dao/ClientDAO.html#checkIfExists-java.lang.String-">checkIfExists(String)</a></span> - Method in class dao.<a href="../dao/ClientDAO.html" title="class in dao">ClientDAO</a></dt>
<dd>
<div class="block">Searches for an element in the table client and returns an object of type Client if it exists and null otherwise</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao/ProductDAO.html#checkIfExists-java.lang.String-">checkIfExists(String)</a></span> - Method in class dao.<a href="../dao/ProductDAO.html" title="class in dao">ProductDAO</a></dt>
<dd>
<div class="block">Checks if an element with name name exists</div>
</dd>
<dt><a href="../model/Client.html" title="class in model"><span class="typeNameLink">Client</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The class representing the client table</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#Client-int-java.lang.String-java.lang.String-">Client(int, String, String)</a></span> - Constructor for class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#Client-java.lang.String-java.lang.String-">Client(String, String)</a></span> - Constructor for class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#Client--">Client()</a></span> - Constructor for class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../bll/ClientBLL.html" title="class in bll"><span class="typeNameLink">ClientBLL</span></a> - Class in <a href="../bll/package-summary.html">bll</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../bll/ClientBLL.html#ClientBLL--">ClientBLL()</a></span> - Constructor for class bll.<a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../dao/ClientDAO.html" title="class in dao"><span class="typeNameLink">ClientDAO</span></a> - Class in <a href="../dao/package-summary.html">dao</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ClientDAO.html#ClientDAO--">ClientDAO()</a></span> - Constructor for class dao.<a href="../dao/ClientDAO.html" title="class in dao">ClientDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#clientId">clientId</a></span> - Variable in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../start/Executer.html#clientReportNb">clientReportNb</a></span> - Variable in class start.<a href="../start/Executer.html" title="class in start">Executer</a></dt>
<dd>
<div class="block">clientReportNb represents the number of the client report</div>
</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#close-java.sql.Connection-">close(Connection)</a></span> - Static method in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>
<div class="block">Close the connection</div>
</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#close-java.sql.Statement-">close(Statement)</a></span> - Static method in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>
<div class="block">Close a statement</div>
</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#close-java.sql.ResultSet-">close(ResultSet)</a></span> - Static method in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>
<div class="block">Close a resultSet</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Executer.html#command">command</a></span> - Variable in class start.<a href="../start/Executer.html" title="class in start">Executer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../connection/package-summary.html">connection</a> - package connection</dt>
<dd>&nbsp;</dd>
<dt><a href="../connection/ConnectionFactory.html" title="class in connection"><span class="typeNameLink">ConnectionFactory</span></a> - Class in <a href="../connection/package-summary.html">connection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#ConnectionFactory--">ConnectionFactory()</a></span> - Constructor for class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderBLL.html#createBill-java.lang.String-java.lang.String-int-int-int-">createBill(String, String, int, int, int)</a></span> - Method in class bll.<a href="../bll/OrderBLL.html" title="class in bll">OrderBLL</a></dt>
<dd>
<div class="block">Creates a PDF file containing the information about an order, a.k.a the bill</div>
</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#createConnection--">createConnection()</a></span> - Method in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>
<div class="block">Creates the connection with the database</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao/AbstractDAO.html#createInsertQuery--">createInsertQuery()</a></span> - Method in class dao.<a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a></dt>
<dd>
<div class="block">Creates a query for inserting elements based on the type of T</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao/AbstractDAO.html#createObjects-java.sql.ResultSet-">createObjects(ResultSet)</a></span> - Method in class dao.<a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a></dt>
<dd>
<div class="block">Creates a list of objects of type T based on a ResultSet object</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao/AbstractDAO.html#createSelectQuery-java.lang.String-">createSelectQuery(String)</a></span> - Method in class dao.<a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a></dt>
<dd>
<div class="block">Creates a query based on the type of T</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/OrderBLL.html#createUnderStock-int-">createUnderStock(int)</a></span> - Method in class bll.<a href="../bll/OrderBLL.html" title="class in bll">OrderBLL</a></dt>
<dd>
<div class="block">Creates a PDF file with an under-stock message</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
